Subject: Re: proper way to merge?

From: Johannes Sixt <[email-masked]>
Date: Tue, 03 Mar 2009 08:32:39 +0100

John Dlugosz schrieb:
> I did not find 'grafts' in the documentation,
> but I looked for it now that I know about it.  So you can add another
> parent to the graph just by adding a line to that file.  BTW,
> filter-branch isn't available on msysgit.

Huh? filter-branch *is* in msysgit. Why do you think it is not?

>  But leaving it in that grafts
> file should be OK -- is that pushed/pulled with everything else?

No.

You really want to use filter-branch if the new parent is to be permanent.

-- Hannes